/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class ValueOverlayDescription extends SeriesDescription {
    constructor() {
        super();
        this.bs = null;
        this.b1 = 0;
        this.bu = false;
        this.cb = null;
        this.cd = null;
        this.ca = null;
        this.b8 = 0;
        this.cc = null;
        this.bx = 0;
        this.bz = 0;
        this.by = 0;
        this.bw = 0;
        this.b0 = 0;
    }
    get_type() {
        return "ValueOverlay";
    }
    get axis() {
        return this.bs;
    }
    set axis(a) {
        this.bs = a;
        this.e("Axis");
    }
    get value() {
        return this.b1;
    }
    set value(a) {
        this.b1 = a;
        this.e("Value");
    }
    get isAxisAnnotationEnabled() {
        return this.bu;
    }
    set isAxisAnnotationEnabled(a) {
        this.bu = a;
        this.e("IsAxisAnnotationEnabled");
    }
    get axisAnnotationFormatLabelRef() {
        return this.cb;
    }
    set axisAnnotationFormatLabelRef(a) {
        this.cb = a;
        this.e("AxisAnnotationFormatLabelRef");
    }
    get axisAnnotationTextColor() {
        return this.cd;
    }
    set axisAnnotationTextColor(a) {
        this.cd = a;
        this.e("AxisAnnotationTextColor");
    }
    get axisAnnotationBackground() {
        return this.ca;
    }
    set axisAnnotationBackground(a) {
        this.ca = a;
        this.e("AxisAnnotationBackground");
    }
    get axisAnnotationInterpolatedValuePrecision() {
        return this.b8;
    }
    set axisAnnotationInterpolatedValuePrecision(a) {
        this.b8 = a;
        this.e("AxisAnnotationInterpolatedValuePrecision");
    }
    get axisAnnotationOutline() {
        return this.cc;
    }
    set axisAnnotationOutline(a) {
        this.cc = a;
        this.e("AxisAnnotationOutline");
    }
    get axisAnnotationPaddingLeft() {
        return this.bx;
    }
    set axisAnnotationPaddingLeft(a) {
        this.bx = a;
        this.e("AxisAnnotationPaddingLeft");
    }
    get axisAnnotationPaddingTop() {
        return this.bz;
    }
    set axisAnnotationPaddingTop(a) {
        this.bz = a;
        this.e("AxisAnnotationPaddingTop");
    }
    get axisAnnotationPaddingRight() {
        return this.by;
    }
    set axisAnnotationPaddingRight(a) {
        this.by = a;
        this.e("AxisAnnotationPaddingRight");
    }
    get axisAnnotationPaddingBottom() {
        return this.bw;
    }
    set axisAnnotationPaddingBottom(a) {
        this.bw = a;
        this.e("AxisAnnotationPaddingBottom");
    }
    get axisAnnotationStrokeThickness() {
        return this.b0;
    }
    set axisAnnotationStrokeThickness(a) {
        this.b0 = a;
        this.e("AxisAnnotationStrokeThickness");
    }
}
ValueOverlayDescription.$t = markType(ValueOverlayDescription, 'ValueOverlayDescription', SeriesDescription.$);
